import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 21 30" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-40.000000, -454.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u610F\u898B\u63D0\u51FA"
          transform="translate(15.000000, 435.000000)"
        >
          <G
            id="fontawesome-webfont-f-1-ae"
            transform="translate(25.000000, 19.000000)"
          >
            <Path
              d="M19.9178668,7.2029703 L14.7434743,12.6237624 L14.7434743,27.9207921 C14.7434743,28.490099 14.5485486,28.9789604 14.1586971,29.3873762 C13.7688456,29.7957921 13.3022052,30 12.7587759,30 C12.2153465,30 11.7487061,29.7957921 11.3588546,29.3873762 C10.9690032,28.9789604 10.7740774,28.490099 10.7740774,27.9207921 L10.7740774,20.7920792 L9.639964,20.7920792 L9.639964,27.9207921 C9.639964,28.490099 9.44503825,28.9789604 9.05518677,29.3873762 C8.66533528,29.7957921 8.19869488,30 7.65526553,30 C7.11183618,30 6.64519577,29.7957921 6.25534428,29.3873762 C5.8654928,28.9789604 5.67056706,28.490099 5.67056706,27.9207921 L5.67056706,12.6237624 L0.496174617,7.2029703 C0.165391533,6.85643564 0,6.43564357 0,5.94059406 C0,5.44554455 0.165391533,5.02475248 0.496174617,4.67821782 C0.826957702,4.33168316 1.22862286,4.15841584 1.70117012,4.15841584 C2.17371738,4.15841584 2.57538253,4.33168316 2.90616562,4.67821782 L6.94644464,8.91089109 L13.4675968,8.91089109 L17.5078758,4.67821782 C17.8386589,4.33168316 18.240324,4.15841584 18.7128713,4.15841584 C19.1854185,4.15841584 19.5870837,4.33168316 19.9178668,4.67821782 C20.2486499,5.02475248 20.4140414,5.44554455 20.4140414,5.94059406 C20.4140414,6.43564357 20.2486499,6.85643564 19.9178668,7.2029703 Z M14.1764176,4.15841584 C14.1764176,5.30940594 13.7895196,6.29022277 13.0157234,7.10086634 C12.2419273,7.91150991 11.3056931,8.31683168 10.2070207,8.31683168 C9.10834833,8.31683168 8.17211409,7.91150991 7.39831796,7.10086634 C6.62452182,6.29022277 6.23762376,5.30940594 6.23762376,4.15841584 C6.23762376,3.00742574 6.62452182,2.02660892 7.39831796,1.21596535 C8.17211409,0.405321776 9.10834833,0 10.2070207,0 C11.3056931,0 12.2419273,0.405321776 13.0157234,1.21596535 C13.7895196,2.02660892 14.1764176,3.00742574 14.1764176,4.15841584 L14.1764176,4.15841584 Z"
              id="Shape"
            />
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
